<?php

/*********************************************************************

 アルバムレスポンスメール通知プラグイン (2017/08/27)

 freo.jp
 customize by 32877(http://32877.xii.jp)

*********************************************************************/

/* メイン処理 */
function freo_end_albumres_inform()
{
	global $freo;

	//ログイン状態確認
	if ($freo->user['authority'] == 'root' or $freo->user['authority'] == 'author') {
		return;
	}

	$subject = '';
	$message = '';

	//登録内容取得
	$stmt = $freo->pdo->query('SELECT * FROM ' . FREO_DATABASE_PREFIX . 'plugin_albumreses ORDER BY created DESC LIMIT 1');
	if (!$stmt) {
		freo_error($freo->pdo->errorInfo());
	}

	if ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$albumres = $data;
	} else {
		freo_error('メッセージが見つかりません。');
	}

	//データ調整
	if ($freo->config['plugin']['albumres_inform']['message_length']) {
		$albumres['text'] = str_replace("\n", '', strip_tags($albumres['text']));
		$albumres['text'] = strlen($albumres['text']) > $freo->config['plugin']['albumres_inform']['message_length'] ? mb_strimwidth($albumres['text'], 0, $freo->config['plugin']['albumres_inform']['message_length'] - 3, '...', 'UTF-8') : $albumres['text'];
	}

	//メール件名定義
	$subject = 'アルバムレスポンス記事が投稿されました';

	//メール本文定義
	$mail_header = file_get_contents(FREO_MAIL_DIR . 'plugins/albumres_inform/header.txt');
	$mail_footer = file_get_contents(FREO_MAIL_DIR . 'plugins/albumres_inform/footer.txt');

	eval('$mail_header = "' . $mail_header . '";');
	eval('$mail_footer = "' . $mail_footer . '";');

	$message  = $mail_header;
	$message .= '名前      ：' . $albumres['name'] . "\n";
	$message .= 'メッセージ：' . $albumres['text'] . "\n";
	$message .= 'IPアドレス：' . $albumres['ip'] . "\n";
	$message .= '記事のURL ：' . $freo->core['http_file'] . '/album/view/' . $albumres['album_id'] . "\n";
	$message .= $mail_footer;

	//メール送信
	$flag = freo_mail($freo->config['plugin']['albumres_inform']['address'], $subject, $message);
	if (!$flag) {
		freo_error('メールを送信できません。');
	}

	return;
}

?>
